Runtime

## org.eclipse.gmf.runtime.notation
Interface DobleValueStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

    public interface DobleValueStyle

extends NamedStyle

A representation of the model object 'Doble Value Style'.

The following features are supported:

- `Double Value`

See Also:
  `org.eclipse.gmf.runtime.notation.NotationPackage#getDobleValueStyle()`
** Generated **
Model:

Method Summary
`double` `getDoubleValue()` Returns the value of the 'Double Value' attribute
`void` `setDoubleValue(double value)` Sets the value of the '`Double Value`' attribute

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDoubleValue

    double getDoubleValue()

  Returns the value of the 'Double Value' attribute.

  If the meaning of the 'Double Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Double Value' attribute.
  See Also:
    `setDoubleValue(double)`, `org.eclipse.gmf.runtime.notation.NotationPackage#getDobleValueStyle_DoubleValue()`
  ** Generated **
  Model:
    required="true" ordered="false"

### setDoubleValue

    void setDoubleValue(double value)

  Sets the value of the '`Double Value`' attribute.

  Parameters:
    `value` - the new value of the 'Double Value' attribute.
  See Also:
    `getDoubleValue()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.